#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  nester.py (1.2.0)
#  
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#  
#  
"""This module loops through each item in a (nested) list and 
prints them on a new-line, profides one function: 
printLoop()"""
def printLoop (the_list, indent=0, level=0):
	"""The positional argument 'the_list', respresenting any Python (nested) list. 
	Each data item is printed on a newline.
	If the data item is part of a nested group, it's preceded by an indent. By default 
	this is turned OFF, but can be activated by setting 'indent' to 1"""
	for each_item in the_list:
		if isinstance(each_item, list) :
				printLoop(each_item, indent, level+1)
		else:
			if (indent==1) :
				for tab_stop in range(level):
					print ("\t", end='')
			print(each_item)

